string_view File Reference

Go to the source code of this file.

## Classes

class | std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_string_view
#define | _GLIBCXX_EXPERIMENTAL_STRING_VIEW

## Typedefs

using | std::experimental::string_view = basic_string_view< char >
using | std::experimental::u16string_view = basic_string_view< char16_t >
using | std::experimental::u32string_view = basic_string_view< char32_t >
using | std::experimental::wstring_view = basic_string_view< wchar_t >

## Functions

template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator!= (__detail::__idt< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator!= (basic_string_view< _CharT, _Traits > __x, __detail::__idt< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator!= (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
constexpr basic_string_view< char > | std::experimental::literals::operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | std::experimental::literals::operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | std::experimental::literals::operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | std::experimental::literals::operator""sv (const wchar_t *__str, size_t __len) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator< (__detail::__idt< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator< (basic_string_view< _CharT, _Traits > __x, __detail::__idt< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator< (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::experimental::operator<< (basic_ostream< _CharT, _Traits > &__os, basic_string_view< _CharT, _Traits > __str)
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator<= (__detail::__idt< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator<= (basic_string_view< _CharT, _Traits > __x, __detail::__idt< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator<= (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator== (__detail::__idt< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator== (basic_string_view< _CharT, _Traits > __x, __detail::__idt< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator== (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator> (__detail::__idt< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator> (basic_string_view< _CharT, _Traits > __x, __detail::__idt< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator> (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator>= (__detail::__idt< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator>= (basic_string_view< _CharT, _Traits > __x, __detail::__idt< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT , typename _Traits >
constexpr bool | std::experimental::operator>= (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept

## Detailed Description

This is a TS C++ Library header.

Definition in file string_view.

## Macro Definition Documentation

## __cpp_lib_experimental_string_view

#define __cpp_lib_experimental_string_view

Definition at line 52 of file string_view.

## _GLIBCXX_EXPERIMENTAL_STRING_VIEW

#define _GLIBCXX_EXPERIMENTAL_STRING_VIEW

Definition at line 34 of file string_view.

## Typedef Documentation

## string_view

using std::experimental::fundamentals_v1::string_view = typedef basic_string_view<char>

Definition at line 562 of file string_view.

## u16string_view

using std::experimental::fundamentals_v1::u16string_view = typedef basic_string_view<char16_t>

Definition at line 569 of file string_view.

## u32string_view

using std::experimental::fundamentals_v1::u32string_view = typedef basic_string_view<char32_t>

Definition at line 570 of file string_view.

## wstring_view

using std::experimental::fundamentals_v1::wstring_view = typedef basic_string_view<wchar_t>

Definition at line 564 of file string_view.

## Function Documentation

## operator!=() [1/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator!= | ( | __detail::__idt< basic_string_view< _CharT, _Traits > > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 476 of file string_view.

## operator!=() [2/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator!= | ( | basic_string_view< _CharT, _Traits > | __x,
|  | __detail::__idt< basic_string_view< _CharT, _Traits > > | __y
| ) |  |

constexpr noexcept

Definition at line 470 of file string_view.

## operator!=() [3/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator!= | ( | basic_string_view< _CharT, _Traits > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 464 of file string_view.

## operator""sv() [1/4]

constexpr basic_string_view< char > std::experimental::literals::string_view_literals::operator""sv | ( | const char * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 661 of file string_view.

## operator""sv() [2/4]

constexpr basic_string_view< char16_t > std::experimental::literals::string_view_literals::operator""sv | ( | const char16_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 677 of file string_view.

## operator""sv() [3/4]

constexpr basic_string_view< char32_t > std::experimental::literals::string_view_literals::operator""sv | ( | const char32_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 681 of file string_view.

## operator""sv() [4/4]

constexpr basic_string_view< wchar_t > std::experimental::literals::string_view_literals::operator""sv | ( | const wchar_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 666 of file string_view.

## operator<() [1/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator< | ( | __detail::__idt< basic_string_view< _CharT, _Traits > > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 493 of file string_view.

## operator<() [2/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator< | ( | basic_string_view< _CharT, _Traits > | __x,
|  | __detail::__idt< basic_string_view< _CharT, _Traits > > | __y
| ) |  |

constexpr noexcept

Definition at line 487 of file string_view.

## operator<() [3/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator< | ( | basic_string_view< _CharT, _Traits > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 481 of file string_view.

## operator<<()

template<typename _CharT , typename _Traits >

basic_ostream< _CharT, _Traits > & std::experimental::fundamentals_v1::operator<< | ( | basic_ostream< _CharT, _Traits > & | __os,
|  | basic_string_view< _CharT, _Traits > | __str
| ) |  |

inline

Definition at line 548 of file string_view.

## operator<=() [1/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator<= | ( | __detail::__idt< basic_string_view< _CharT, _Traits > > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 529 of file string_view.

## operator<=() [2/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator<= | ( | basic_string_view< _CharT, _Traits > | __x,
|  | __detail::__idt< basic_string_view< _CharT, _Traits > > | __y
| ) |  |

constexpr noexcept

Definition at line 523 of file string_view.

## operator<=() [3/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator<= | ( | basic_string_view< _CharT, _Traits > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 517 of file string_view.

## operator==() [1/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator== | ( | __detail::__idt< basic_string_view< _CharT, _Traits > > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 458 of file string_view.

## operator==() [2/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator== | ( | basic_string_view< _CharT, _Traits > | __x,
|  | __detail::__idt< basic_string_view< _CharT, _Traits > > | __y
| ) |  |

constexpr noexcept

Definition at line 452 of file string_view.

## operator==() [3/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator== | ( | basic_string_view< _CharT, _Traits > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 446 of file string_view.

## operator>() [1/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator> | ( | __detail::__idt< basic_string_view< _CharT, _Traits > > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 512 of file string_view.

## operator>() [2/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator> | ( | basic_string_view< _CharT, _Traits > | __x,
|  | __detail::__idt< basic_string_view< _CharT, _Traits > > | __y
| ) |  |

constexpr noexcept

Definition at line 506 of file string_view.

## operator>() [3/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator> | ( | basic_string_view< _CharT, _Traits > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 500 of file string_view.

## operator>=() [1/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator>= | ( | __detail::__idt< basic_string_view< _CharT, _Traits > > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 548 of file string_view.

## operator>=() [2/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator>= | ( | basic_string_view< _CharT, _Traits > | __x,
|  | __detail::__idt< basic_string_view< _CharT, _Traits > > | __y
| ) |  |

constexpr noexcept

Definition at line 542 of file string_view.

## operator>=() [3/3]

template<typename _CharT , typename _Traits >

constexpr bool std::experimental::fundamentals_v1::operator>= | ( | basic_string_view< _CharT, _Traits > | __x,
|  | basic_string_view< _CharT, _Traits > | __y
| ) |  |

constexpr noexcept

Definition at line 536 of file string_view.